### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-multiselect/ecl-multiselect-option.directive.ts`

### Implements

`OnDestroy` `OnChanges`

### Metadata

Selector | `option[eclSelectOption], option[eclMultiselectOption]`

### Index

###### Properties

- changes

###### Methods

- getHostElement

###### Inputs

- disabled
- label
- selected
- value

###### HostBindings

- class

###### Accessors

- disabled
- selected
- cssClasses

### Constructor

`constructor(elRef: ElementRef)`

Parameters :

Name | Type | Optional
elRef | `ElementRef` | No

### Inputs

disabled
Type : `true`

label
Type : `string`

selected
Type : `true`

value
Type : `string`

### HostBindings

class
Type : `any`

### Methods

getHostElement
`getHostElement()`
Returns : `HTMLSelectElement`

### Properties

changes
Default value : `new Subject()`

### Accessors

disabled
get `disabled()`
set `disabled(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

selected
get `selected()`
set `selected(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""